## elpa 2021.11.001

=== src/shipped_srcs/NVIDIA_A100_kernel/hh_test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)

project(hh_test VERSION 0.0.1 LANGUAGES Fortran CUDA)

add_executable(hh_test
  src/compute_hh.cu
  src/compute_hh_wrapper.f90
  src/cuda_c_interface.cu
  src/cuda_f_interface.f90
  src/hh_test.f90)

set_target_properties(hh_test PROPERTIES LINKER_LANGUAGE Fortran)
set_target_properties(hh_test PROPERTIES Fortran_MODULE_DIRECTORY ${PROJECT_BINARY_DIR}/include)

## elpa 2013.11.008

=== debian/changelog ===
elpa (2013.11.008-3) unstable; urgency=medium

  * Switch to dh --with autoreconf in order to patch configure.ac.
  * Reverse order of blacs and scalapack libraries and add them
    as LIBS instead of LDFLAGS. (Closes: #779827)
  * Add debian/watch.
  * Add debian/clean to prevent FTBFSx2.
  * Bump debhelper compatibility to 9, install libs in multiarch paths.
  * Add debian/libelpa0.symbols.
  * Bump Standards-Version to 3.9.6, no further changes.
  * Add myself to Uploaders.

 -- Graham Inggs <graham@nerve.org.za>  Sun, 14 Jun 2015 15:36:33 +0200

elpa (2013.11.008-2) unstable; urgency=medium

  * debian/upstream: Moved to debian/upstream/metadata.
  * debian/upstream/metadata: Add J. Phys.: Condens. Matter review article.

 -- Michael Banck <mbanck@debian.org>  Fri, 03 Oct 2014 15:05:08 +0200

elpa (2013.11.008-1) unstable; urgency=low

  * Initial release.

 -- Michael Banck <mbanck@debian.org>  Thu, 05 Jun 2014 23:07:10 +0200

=== debian/control ===
Source: elpa
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>, Graham Inggs <graham@nerve.org.za>
Build-Depends: debhelper (>= 9), gfortran, libblas-dev, liblapack-dev, mpi-default-dev, libblacs-mpi-dev, libscalapack-mpi-dev, dh-autoreconf
Standards-Version: 3.9.6
Homepage: http://elpa.rzg.mpg.de
Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/elpa/
Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/elpa/

Package: libelpa0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Eigenvalue SoLvers for Petaflop-Applications
 ELPA is Eigenvalue SoLvers for Petaflop-Applications.

Package: libelpa-dev
Architecture: any
Section: libdevel
Depends: libelpa0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Eigenvalue SoLvers for Petaflop-Applications (Development version)
 ELPA is Eigenvalue SoLvers for Petaflop-Applications.
 .
 This version contains the Fortran90 modules and the static library.

=== debian/watch ===
version=3
http://elpa.rzg.mpg.de/elpa-tar-archive \
http://elpa.rzg.mpg.de/elpa-(.+)\.tar\.(?:gz|bz2|xz)

## elpa 2015.05.001

=== debian/changelog ===
elpa (2015.05.001-4ubuntu2) xenial; urgency=medium

  * Only run one parallel test at a time.

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 28 Feb 2016 20:59:29 +0200

elpa (2015.05.001-4ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - Disable tests on powerpc as well, see LP: #1550863.

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 28 Feb 2016 08:09:28 +0200

elpa (2015.05.001-4) unstable; urgency=medium

  * debian/libelpa-dev.install: Adjust to new modules location.

 -- Michael Banck <mbanck@debian.org>  Sat, 27 Feb 2016 19:12:18 +0100

elpa (2015.05.001-3) unstable; urgency=medium

  [ Graham Inggs ]
  * Disable tests on armel, mips and mipsel due to timeouts. (Closes: #814725)
  * Update debian/watch and Homepage URLs.

  [ Michael Banck ]
  * debian/patches/fix_module_dir.patch: New patch, resets the module directory
    to /usr/include/elpa.

 -- Michael Banck <mbanck@debian.org>  Sat, 27 Feb 2016 18:36:00 +0100

elpa (2015.05.001-2ubuntu2) xenial; urgency=medium

  * Really disable the tests.

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 15 Feb 2016 17:36:37 +0200

elpa (2015.05.001-2ubuntu1) xenial; urgency=medium

  * Disable tests on powerpc as well.

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 15 Feb 2016 16:40:51 +0200

elpa (2015.05.001-2) unstable; urgency=medium

  * debian/rules (override_dh_auto_test): Output testsuite logfile on failures.

 -- Michael Banck <mbanck@debian.org>  Fri, 12 Feb 2016 11:39:04 +0100

elpa (2015.05.001-1) unstable; urgency=medium

  * New upstream release.

  [ Graham Inggs ]
  * Drop debian/patches/blacs-libs.patch, export LIBS instead of BLACS_LIBS.
  * Change order of LIBS again in order to build on Trusty and unstable.
  * Rename libelpa0 to libelpa3 due to SONAME bump,
    update debian/libelpa3.symbols.
  * Enable cryptographic signature verification.
  * Remove dh_auto_clean override from debian.rules, update debian/clean.
  * Link with --as-needed throughout.
  * Update debian/libelpa3.symbols to allow for architectures
    that build with mpich instead of openmpi.

  [ Andreas Tille ]
  * debian/upstream/metadata: Fix YAML syntax.

  [ Michael Banck ]
  * debian/libelpa3.symbols: Updated with additional OpenMPI-1.10 symbols.

 -- Michael Banck <mbanck@debian.org>  Sun, 07 Feb 2016 14:21:26 +0100

elpa (2013.11.008-4) unstable; urgency=medium

  * Team upload.
  * Add symbols for s390x arch. Fix FTBFS.
  * Disable tests on armel and mips due to tiomeouts.

 -- Anton Gladky <gladk@debian.org>  Fri, 15 Jan 2016 21:38:48 +0100

=== debian/control ===
Source: elpa
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>, Graham Inggs <graham@nerve.org.za>
Build-Depends: debhelper (>= 9), gfortran, libblas-dev, liblapack-dev, mpi-default-dev, libblacs-mpi-dev, libscalapack-mpi-dev, dh-autoreconf
Standards-Version: 3.9.6
Homepage: http://elpa.mpcdf.mpg.de/
Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/elpa/
Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/elpa/

Package: libelpa3
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Eigenvalue SoLvers for Petaflop-Applications
 ELPA is Eigenvalue SoLvers for Petaflop-Applications.

Package: libelpa-dev
Architecture: any
Section: libdevel
Depends: libelpa3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Eigenvalue SoLvers for Petaflop-Applications (Development version)
 ELPA is Eigenvalue SoLvers for Petaflop-Applications.
 .
 This version contains the Fortran90 modules and the static library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/mpi-default-dev/debian_defaults

export OMPI_MCA_orte_rsh_agent=/bin/false
export LIBS=-lblacs-$(ARCH_DEFAULT_MPI_IMPL) -lblacsCinit-$(ARCH_DEFAULT_MPI_IMPL) -lscalapack-$(ARCH_DEFAULT_MPI_IMPL)
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- --with-generic-simple

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
ifeq (,$(filter $(DEB_HOST_ARCH), armel mips mipsel powerpc))
	$(MAKE) -j1 check || cat test-suite.log
endif
endif

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://elpa.mpcdf.mpg.de/elpa-tar-archive \
http://elpa.mpcdf.mpg.de/elpa-(.+)\.tar\.(?:gz|bz2|xz)

## elpa 2016.05.001

=== debian/changelog ===
elpa (2016.05.001-4) unstable; urgency=medium

  * debian/rules (DEB_LDFLAGS_MAINT_APPEND): Switch to bfd linker on mips64el
    as the gold linker is currently broken.

 -- Michael Banck <mbanck@debian.org>  Fri, 20 Jan 2017 09:56:17 +0100

elpa (2016.05.001-3) unstable; urgency=medium

  * debian/watch: Updated, thanks Andreas Marek.
  * debian/patches/testsuite_custom_mpiexec.patch: Updated to allow
    --oversubscribe for MPI tests. (Closes: #850456)
  * debian/copyright: Updated.
  * debian/control, debian/compat: Switch to debhelper 10.

 -- Graham Inggs <ginggs@debian.org>  Sun, 08 Jan 2017 13:24:49 +0200

elpa (2016.05.001-2) unstable; urgency=medium

  * debian/libelpa4.symbols: remove unneeded Debian revision.
  * debian/libelpa4.symbols: mark symbols double_hh_trafo and
    single_hh_trafo_complex amd64-only to fix FTBFS with GCC 6.
    (Closes: #837530)

 -- Graham Inggs <ginggs@debian.org>  Sun, 18 Sep 2016 18:16:40 +0200

elpa (2016.05.001-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/testsuite_parameters_from_env.patch: Removed, no longer
    needed.
  * debian/patches/fix_module_dir.patch: Refreshed.
  * debian/patches/testsuite_force_default_parameters.patch: Adjusted for new
    test cases.
  * debian/rules: Replace ELPA_TEST_SCALE with TEST_FLAGS.
  * debian/control (libelpa3): Renamed package to libelpa4, adjust references.
  * debian/libelpa3.install: Renamed to ...
  * debian/libelpa4.install: ... this.
  * debian/libelpa3.symbols: Renamed to ...
  * debian/libelpa4.symbols: ... this.
  * debian/rules (override_dh_autoreconf): Removed, no longer needed.
  * debian/patches/testsuite_custom_mpiexec.patch: Updated.
  * debian/patches/configure_fix_am_conditional.patch: New patch, makes
    HAVE_MPI actually be defined in the Makefile if MPI is used.
  * debian/libelpa4.symbols: Updated.

 -- Michael Banck <mbanck@debian.org>  Sat, 28 May 2016 19:55:02 +0200

elpa (2015.05.001-8) unstable; urgency=medium

  * debian/rules (MPIEXEC): Set to one process on mipsel and powerpc.
    (Closes: #816590)
  * debian/rules (ELPA_TEST_SCALE): Set to 200 on mips, mipsel and powerpc.
  * debian/rules (OMPI_MCA): Replace obsolete orte_rsh_agent with plm_rsh_agent.
  * debian/control: Use secure URI for Vcs-Browser.
  * debian/control: Bump Standards-Version to 3.9.8, no further changes.
  * debian/control: Update my email address.

 -- Graham Inggs <ginggs@debian.org>  Sat, 07 May 2016 16:14:20 +0200

elpa (2015.05.001-7) unstable; urgency=medium

  [ Michael Banck ]
  * debian/patches/fix_module_dir.patch: Refreshed.
  * debian/patches/testsuite_custom_mpiexec.patch: New patch, allows setting
    $MPIEXEC to a custom value for testsuite.
  * debian/rules (ELPA_TEST_SCALE): Set to 500 on mipsel.
  * debian/rules (MPIEXEC): Set to one process on powerpc.

 -- Michael Banck <mbanck@debian.org>  Thu, 03 Mar 2016 12:10:39 +0100

elpa (2015.05.001-6) unstable; urgency=medium

  [ Graham Inggs ]
  * debian/rules (override_dh_auto_test): Only run one test at a time.

  [ Michael Banck ]
  * debian/rules (ELPA_TEST_SCALE): Set to 4000 by default, if not already set. 
  * debian/rules (override_dh_auto_test): Print out additional diagnostics on
    on test parameter size.
  * debian/rules (ELPA_TEST_SCALE): Set to 500 on powerpc.
  * debian/rules (override_dh_auto_configure): Removed option
    --with-generic-simple (not present anymore) and added option
    --disable-silent-rules.
  * debian/rules (override_dh_auto_test): Run elpa2_print_kernels program after
    test run to print out information about available kernels.

 -- Michael Banck <mbanck@debian.org>  Mon, 29 Feb 2016 01:52:21 +0100

elpa (2015.05.001-5) unstable; urgency=medium

  * debian/patches/testsuite_parameters_from_env.patch: New patch, allows for
    setting the matrix size for the testsuite as an environment variable
    $ELPA_TEST_SCALE.
  * debian/patches/testsuite_force_default_parameters.patch: Force the usage of
    the default parameters (or the ones set via $ELPA_TEST_SCALE for all tests.
  * debian/rules (override_dh_auto_test): Print out runtime of each test.
  * debian/rules (override_dh_auto_test): Abort if one of the tests failed.
  * debian/rules (ELPA_TEST_SCALE): Set to 2000 on i386, armel, and mipsel, and
    to 500 on mips.

 -- Michael Banck <mbanck@debian.org>  Sun, 28 Feb 2016 19:45:13 +0100

=== debian/control ===
Source: elpa
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>,
           Graham Inggs <ginggs@debian.org>
Build-Depends: debhelper (>= 10),
               dh-autoreconf,
               gfortran,
               libblacs-mpi-dev,
               libblas-dev,
               liblapack-dev,
               libscalapack-mpi-dev,
               mpi-default-dev
Standards-Version: 3.9.8
Homepage: http://elpa.mpcdf.mpg.de/
Vcs-Browser: https://anonscm.debian.org/viewvc/debichem/unstable/elpa/
Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/elpa/

Package: libelpa4
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Eigenvalue SoLvers for Petaflop-Applications
 ELPA is Eigenvalue SoLvers for Petaflop-Applications.

Package: libelpa-dev
Architecture: any
Section: libdevel
Depends: libelpa4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Eigenvalue SoLvers for Petaflop-Applications (Development version)
 ELPA is Eigenvalue SoLvers for Petaflop-Applications.
 .
 This version contains the Fortran90 modules and the static library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/mpi-default-dev/debian_defaults

export OMPI_MCA_plm_rsh_agent=/bin/false
export LIBS=-lblacs-$(ARCH_DEFAULT_MPI_IMPL) -lblacsCinit-$(ARCH_DEFAULT_MPI_IMPL) -lscalapack-$(ARCH_DEFAULT_MPI_IMPL)
# The gold linker is currently broken on mips64el. See #851736.
# Switch to bfd as a temporary workaround.
ifneq ($(filter $(DEB_BUILD_ARCH), mips64el),)
	export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-fuse-ld=bfd
else
	export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
endif

export TEST_FLAGS?=2000 750 8

ifneq (,$(filter $(DEB_HOST_ARCH), mips mipsel powerpc))
	export TEST_FLAGS=200 12 2
endif

ifneq (,$(filter $(DEB_HOST_ARCH), mipsel powerpc))
        export MPIEXEC=mpiexec -n 1
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	@echo "Running tests with matrix size ${ELPA_TEST_SCALE}"
	$(MAKE) -j1 check || cat test-suite.log
	grep Total.time *.log
	grep -A1 ^Matrix.size *.log
	./elpa2_print_kernels
	# error out in case of test suite failures
	if grep ^FAIL test-suite.log; then exit 1; fi
endif

## elpa 2019.11.001

=== debian/changelog ===
elpa (2019.11.001-4) unstable; urgency=medium

  * debian/rules (DEB_FCFLAGS_MAINT_APPEND): New variable, appends
    -fallow-argument-mismatch-fallow-argument-mismatch to the gfortran flags.
    (Closes: #957170)

 -- Michael Banck <mbanck@debian.org>  Sat, 03 Oct 2020 12:45:18 +0200

elpa (2019.11.001-3) unstable; urgency=medium

  * Upload ot unstable.

 -- Michael Banck <mbanck@debian.org>  Sat, 04 Jul 2020 18:36:58 +0200

elpa (2019.11.001-2) experimental; urgency=medium

  * debian/rules (BUILD_FLAGS): Add --disable-sse-assembly.
  * debian/libelpa15.symbols: Updated.

 -- Michael Banck <mbanck@debian.org>  Sat, 04 Jan 2020 17:49:33 +0100

elpa (2019.11.001-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches/fix_module_dir.patch: Updated.
  * debian/patches/testsuite_force_default_parameters.patch: Removed, no longer
    needed.
  * debian/patches/testsuite_custom_mpiexec.patch: Likewise.
  * debian/patches/configure_fix_am_conditional.patch: Likewise.
  * debian/control (Build-Depends): Added xxd.
  * debian/rules (TEST_FLAGS): Use current upstream default parameters.
  * debian/libelpa4.install: Renamed to ...
  * debian/libelpa15.install: ... this.
  * debian/libelpa4.symbols: Renamed to ...
  * debian/libelpa15.symbols: ... this, and updated.
  * debian/control: Rename libelpa4 to libelpa15.
  * debian/libelpa-dev.docs: New file, include USERS_GUIDE.md.
  * debian/rules: Add --max-parallel=1 and --builddir=build to dh.
  * debian/rules (override_dh_auto_test): Updated.
  * debian/rules (BUILD_FLAGS): New variable, disabling SSE and AVX.
  * debian/rules (override_dh_auto_configure): Use it.

 -- Michael Banck <mbanck@debian.org>  Wed, 01 Jan 2020 21:47:36 +0100

elpa (2016.05.001-6) unstable; urgency=medium

  * Acknowledge NMUs.

 -- Michael Banck <mbanck@debian.org>  Sun, 24 Jun 2018 21:21:02 +0200

elpa (2016.05.001-5) unstable; urgency=medium

  * debian/libelpa-dev.install: Install header files as well.

 -- Michael Banck <mbanck@debian.org>  Sun, 24 Jun 2018 12:04:38 +0200

elpa (2016.05.001-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Restore Build-Depends: libblas-dev (blas is not blacs, doh)

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Sep 2017 10:43:15 +0800

elpa (2016.05.001-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Standards-Version: 4.1.0
  * Update build for scalapack 2:
    - remove explicit blacs references (BLACS is not included in
      scalapack2)
    - Build-Depends: libscalapack-mpi-dev (>= 2)

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Sep 2017 10:28:33 +0800

=== debian/control ===
Source: elpa
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>,
           Graham Inggs <ginggs@debian.org>
Build-Depends: debhelper (>= 10),
               dh-autoreconf,
               gfortran,
               libblas-dev,
               liblapack-dev,
               libscalapack-mpi-dev (>= 2),
               mpi-default-dev,
               xxd
Standards-Version: 4.1.0
Homepage: http://elpa.mpcdf.mpg.de/
Vcs-Browser: https://salsa.debian.org/debichem-team/elpa
Vcs-Git: https://salsa.debian.org/debichem-team/elpa.git

Package: libelpa15
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Eigenvalue SoLvers for Petaflop-Applications
 ELPA is Eigenvalue SoLvers for Petaflop-Applications.

Package: libelpa-dev
Architecture: any
Section: libdevel
Depends: libelpa15 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Eigenvalue SoLvers for Petaflop-Applications (Development version)
 ELPA is Eigenvalue SoLvers for Petaflop-Applications.
 .
 This version contains the Fortran90 modules and the static library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/mpi-default-dev/debian_defaults

export OMPI_MCA_plm_rsh_agent=/bin/false
export LIBS=-lscalapack-$(ARCH_DEFAULT_MPI_IMPL)
# The gold linker is currently broken on mips64el. See #851736.
# Switch to bfd as a temporary workaround.
ifneq ($(filter $(DEB_BUILD_ARCH), mips64el),)
	export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-fuse-ld=bfd
else
	export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
endif

export DEB_FCFLAGS_MAINT_APPEND = -fallow-argument-mismatch

export TEST_FLAGS?=500 150 16

ifneq (,$(filter $(DEB_HOST_ARCH), mips mipsel powerpc))
	export TEST_FLAGS=200 12 2
endif

ifneq (,$(filter $(DEB_HOST_ARCH), mipsel powerpc))
        export MPIEXEC=mpiexec -n 1
endif

ifeq (,$(filter custom,$(DEB_BUILD_OPTIONS)))
BUILD_FLAGS=--disable-sse --disable-sse-assembly --disable-avx --disable-avx2 --disable-avx512
endif

# the current upstream version (2019.11.001) FTBFS when make is run in
# parallel, so force parallel to off via --max-parallel=1
%:
	dh $@ --max-parallel=1 --builddir=build

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules ${BUILD_FLAGS}

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	@echo "Running tests with matrix size ${TEST_FLAGS% *}"
	(cd build; $(MAKE) -j1 check || cat test-suite.log)
	build/elpa2_print_kernels
	# error out in case of test suite failures
	if grep ^FAIL build/test-suite.log; then exit 1; fi
endif

## elpa 2021.11.001

=== debian/changelog ===
elpa (2021.11.001-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * debian/watch: Updated. 
  * debian/patches/fix_module_dir.patch: Refreshed.
  * debian/libelpa15.install: Renamed to ...
  * debian/libelpa17.install: ... this.
  * debian/libelpa15.symbols: Renamed to ...
  * debian/libelpa17.symbols: ... this, and updated.
  * debian/control: Rename libelpa15 to libelpa17.
  * debian/libelpa-dev.docs: Updated.
  * debian/libelpa-dev.install: Update pkg-config filename.
  * debian/patches/fix_module_dir.patch: Add hunk for elpa.pc.

 -- Michael Banck <mbanck@debian.org>  Sun, 26 Dec 2021 20:37:46 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Vcs-Browser: https://salsa.debian.org/debichem-team/elpa
 Vcs-Git: https://salsa.debian.org/debichem-team/elpa.git
 
-Package: libelpa15
+Package: libelpa17
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -27,7 +27,7 @@
 Package: libelpa-dev
 Architecture: any
 Section: libdevel
-Depends: libelpa15 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libelpa17 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Eigenvalue SoLvers for Petaflop-Applications (Development version)
  ELPA is Eigenvalue SoLvers for Petaflop-Applications.
  .

## elpa 2021.11.002

=== debian/changelog ===
elpa (2021.11.002-1build1) kinetic; urgency=medium

  * No-change rebuild against libscalapack-*2.2

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 15 May 2022 10:29:44 +0000

elpa (2021.11.002-1) unstable; urgency=medium

  * New upstream point release.

 -- Michael Banck <mbanck@debian.org>  Sat, 12 Mar 2022 18:25:01 +0100

## elpa 2022.11.001

=== debian/changelog ===
elpa (2022.11.001-4) unstable; urgency=medium

  [ James Addison ]
  * debian: libelpa19: tag OpenMPI symbols as optional

  [ Nicholas Breen ]
  * Extend fix for #1057556 to new syntax in OpenMPI 5

  [ Graham Inggs ]
  * OMPI_MCA_plm_rsh_agent is now PRTE_MCA_plm_ssh_agent
  * Do not run tests for nocheck builds
  * Only build on 64-bit architectures
    (Closes: #1069510, #1076025, #1076026)
  * Switch to debhelper 13
  * Add debian/not-installed
  * Bump Standards-Version to 4.7.2, no changes

 -- Graham Inggs <ginggs@debian.org>  Sun, 27 Apr 2025 14:31:33 +0000

elpa (2022.11.001-3) unstable; urgency=medium

  * Team upload.
  * Drop ifeq for nocheck, debhelper already does automatically.
    Thanks Santiago Vila.
  * Fix building on single-vcore machines (Closes: #1057556).
    Thanks Santiago Vila.

 -- Andrius Merkys <merkys@debian.org>  Fri, 07 Jun 2024 11:52:08 -0400

elpa (2022.11.001-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/libelpa19.symbols: Fix typo, thanks to Graham Inggs.

 -- Michael Banck <mbanck@debian.org>  Tue, 10 Jan 2023 19:32:33 +0100

elpa (2022.11.001-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches/fix_module_dir.patch: Refreshed. 
  * debian/rules: Set CXX to mpicxx.
  * debian/libelpa17.install: Renamed to ...
  * debian/libelpa19.install: ... this.
  * debian/libelpa17.symbols: Renamed to ...
  * debian/libelpa19.symbols: ... this, and updated.
  * debian/control: Rename libelpa17 to libelpa19.

 -- Michael Banck <mbanck@debian.org>  Sat, 07 Jan 2023 22:39:27 +0100

=== debian/control ===
Source: elpa
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>,
           Graham Inggs <ginggs@debian.org>
Build-Depends: architecture-is-64-bit,
               debhelper-compat (= 13),
               gfortran,
               libblas-dev,
               liblapack-dev,
               libscalapack-mpi-dev (>= 2),
               mpi-default-dev,
               xxd
Standards-Version: 4.7.2
Homepage: http://elpa.mpcdf.mpg.de/
Vcs-Browser: https://salsa.debian.org/debichem-team/elpa
Vcs-Git: https://salsa.debian.org/debichem-team/elpa.git

Package: libelpa19
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Eigenvalue SoLvers for Petaflop-Applications
 ELPA is Eigenvalue SoLvers for Petaflop-Applications.

Package: libelpa-dev
Architecture: any
Section: libdevel
Depends: libelpa19 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Eigenvalue SoLvers for Petaflop-Applications (Development version)
 ELPA is Eigenvalue SoLvers for Petaflop-Applications.
 .
 This version contains the Fortran90 modules and the static library.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,9 @@
 
 include /usr/share/mpi-default-dev/debian_defaults
 
-export OMPI_MCA_plm_rsh_agent=/bin/false
+export PRTE_MCA_rmaps_default_mapping_policy=:oversubscribe
+export PRTE_MCA_plm_ssh_agent=/bin/false
+
 export LIBS=-lscalapack-$(ARCH_DEFAULT_MPI_IMPL)
 # The gold linker is currently broken on mips64el. See #851736.
 # Switch to bfd as a temporary workaround.
@@ -14,6 +16,7 @@
 endif
 
 export DEB_FCFLAGS_MAINT_APPEND = -fallow-argument-mismatch
+export CXX=mpicxx
 
 export TEST_FLAGS?=500 150 16
 
@@ -37,11 +40,9 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-silent-rules ${BUILD_FLAGS}
 
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
 	@echo "Running tests with matrix size ${TEST_FLAGS% *}"
 	(cd build; $(MAKE) -j1 check || cat test-suite.log)
 	build/elpa2_print_kernels
 	# error out in case of test suite failures
 	if grep ^FAIL build/test-suite.log; then exit 1; fi
-endif

## elpa 2024.05.001

=== debian/changelog ===
elpa (2024.05.001-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches/fix_module_dir.patch: Refreshed. 
  * debian/libelpa19.symbols: Updated.

 -- Michael Banck <mbanck@debian.org>  Sun, 19 Jan 2025 14:50:30 +0100

=== debian/rules ===
--- 
+++ 
@@ -41,8 +41,10 @@
 	dh_auto_configure -- --disable-silent-rules ${BUILD_FLAGS}
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	@echo "Running tests with matrix size ${TEST_FLAGS% *}"
 	(cd build; $(MAKE) -j1 check || cat test-suite.log)
 	build/elpa2_print_kernels
 	# error out in case of test suite failures
 	if grep ^FAIL build/test-suite.log; then exit 1; fi
+endif
